Delete mid call tool
curl --request DELETE \
--url https://app.botrep.ai/api/user/tools/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://app.botrep.ai/api/user/tools/{id}"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>",
"Accept": "<accept>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
Authorization: '<authorization>',
'Content-Type': '<content-type>',
Accept: '<accept>'
}
};
fetch('https://app.botrep.ai/api/user/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Tool deleted successfully"
}
{
"message": "Tool not found"
}
Mid Call Tools
Delete mid call tool
Delete a mid call tool
DELETE
/
user
/
tools
/
{id}
Delete mid call tool
This endpoint allows you to permanently delete a mid call tool. This will also remove the tool from all assistants it was assigned to.
Headers
Bearer token for authentication
Must be
application/jsonMust be
application/jsonPath Parameters
The unique identifier of the tool to delete
Response fields
Success message confirming deletion
{
"message": "Tool deleted successfully"
}
{
"message": "Tool not found"
}
Note
When a tool is deleted, it is automatically removed from all assistants. To manage tool assignments without deleting the tool, use:- Update Assistant - Use the
tool_idsparameter to remove tools from specific assistants
⌘I

